import sdljava.SDLException;
import sdljava.event.SDLEventType;
import sdljava.event.SDLKeyboardEvent;


public class Event {
	
	public final int upPressed = 273;
	public final int downPressed = 274;
	public final int escPressed = 27;
	public final int enterPressed = 13;
	public final int aPressed = 97;
	public final int zPressed = 122;
	public final int backPressed = 8;
	public final int shiftPressed = 303;
	
	private sdljava.event.SDLEvent event;
	private boolean released ;
	private boolean pressed;
	private int sym;
	
	private boolean shift;
	
	public void setEvent(){
		
		try{
		   event=event.pollEvent();
		   
		   sym = ((SDLKeyboardEvent)event).getSym();
			 switch(event.getType()){
			  case SDLEventType.KEYDOWN:
				  	released = false;
				  	pressed = true;
				  	
				  	break;
			  case SDLEventType.KEYUP:
				  	released = true;
				  	pressed = false;
				  	break;
			 }
		   
		}
		catch(Exception e){
			
			sym = -1;
			released = false;
			pressed = false;
			
		}
	}
	public boolean isPressed(){
	
		return (pressed);
	}
	public boolean isReleased(){
	
		return (released);
	}
	public int getSym(){
		
		return sym;
	
	}
	
	public char getKey(){
		char c = (char)sym;
		return c;
	
	}
	public boolean isKey(){
		
		return (sym >= aPressed) && (sym <= zPressed); 
		
	}
	public void setShift(boolean shift) {
		this.shift = shift;
	}
	public boolean isShift() {
		return shift;
	}



}
